package user

import (
	"net/http"

	"tydata-server/app/main/api/internal/logic/user"
	"tydata-server/app/main/api/internal/svc"
	"tydata-server/common/result"
)

func GetTokenHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := user.NewGetTokenLogic(r.Context(), svcCtx)
		resp, err := l.GetToken()
		result.HttpResult(r, w, resp, err)
	}
}
